// QTreePrefsDialog: a preferences dialog for P4QTree that stores its results via QSettings.

#ifndef QTREEPREFSDIALOG_H

#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qdatetimeedit.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qsettings.h>
#include <qtabdialog.h>

#include "qtreeitem.h"

#endif

class QTreePrefsDialog : public QTabDialog  
{
	Q_OBJECT

public:
	QTreePrefsDialog( QWidget* );
	virtual ~QTreePrefsDialog();

	int Status() { return status; };

public slots:
	void Save();

private:
	// Interface widgets.
	QButtonGroup* colorradio;
	QRadioButton* coloroldbutton;
	QRadioButton* colornewbutton;

	QGroupBox* perfbox;
	QCheckBox* jobscheck;
	QCheckBox* allcheck;

	QGroupBox* cropbox;
	QCheckBox* startcheck;
	QDateEdit* startedit;
	QCheckBox* endcheck;
	QDateEdit* endedit;

	//Current settings.
	QSettings settings;
	int colset;
	bool jobset;
	char startset, endset;
	QDate startdate, enddate;
	bool showall;

	//Exit status.
	int status;
};
